/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.blocks.stone;

import net.minecraft.block.properties.PropertyBool;
import net.minecraft.block.state.BlockStateContainer;
import net.minecraft.block.state.IBlockState;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;

import net.dries007.tfc.api.types.Rock;
import net.dries007.tfc.objects.blocks.BlocksTFC;

public class BlockRockVariantConnected extends BlockRockVariant
{
    // Used for connected textures only.
    public static final PropertyBool NORTH = PropertyBool.func_177716_a("north");
    public static final PropertyBool EAST = PropertyBool.func_177716_a("east");
    public static final PropertyBool SOUTH = PropertyBool.func_177716_a("south");
    public static final PropertyBool WEST = PropertyBool.func_177716_a("west");

    public BlockRockVariantConnected(Rock.Type type, Rock rock)
    {
        super(type, rock);
    }

    @Override
    public int func_176201_c(IBlockState state)
    {
        return 0;
    }

    @SuppressWarnings("deprecation")
    @Override
    public IBlockState func_176221_a(IBlockState state, IBlockAccess world, BlockPos pos)
    {
        pos = pos.func_177982_a(0, -1, 0);
        return state.func_177226_a(NORTH, BlocksTFC.isGrass(world.func_180495_p(pos.func_177972_a(EnumFacing.NORTH))))
            .func_177226_a(EAST, BlocksTFC.isGrass(world.func_180495_p(pos.func_177972_a(EnumFacing.EAST))))
            .func_177226_a(SOUTH, BlocksTFC.isGrass(world.func_180495_p(pos.func_177972_a(EnumFacing.SOUTH))))
            .func_177226_a(WEST, BlocksTFC.isGrass(world.func_180495_p(pos.func_177972_a(EnumFacing.WEST))));
    }

    @Override
    protected BlockStateContainer func_180661_e()
    {
        return new BlockStateContainer(this, NORTH, EAST, WEST, SOUTH);
    }
}
